Bug 1561769 - [RFE] revise the "transient error" message in a replication agreement's last update status
Summary: [RFE] revise the "transient error" message in a replication agreement's last ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 7.7
Assignee: mreynolds
QA Contact: RHDS QE
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-28 21:41 UTC by mreynolds
Modified: 2019-08-06 12:58 UTC (History)
6 users (show)

Fixed In Version: 389-ds-base-1.3.9.1-1.el7
Doc Type: Enhancement
Doc Text:
.The `replicaLastUpdateStatusJSON` status attribute has been added to replication agreements in Directory Server This update introduces the `replicaLastUpdateStatusJSON` status attribute to the `cn=<replication_agreement_name>,cn=replica,cn=<suffix_DN>,cn=mapping tree,cn=config` entry. The status displayed in the `replicaLastUpdateStatus` attribute was vague and unclear. The new attribute provides a clear status message and result code and can be parsed by other applications that support the JSON format.
Clone Of:
Environment:
Last Closed: 2019-08-06 12:58:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2152 None None None 2019-08-06 12:58:42 UTC

Description mreynolds 2018-03-28 21:41:29 UTC
Description of problem:

During replication an agreement for various reasons can not send updates to its consumer.  That consumer might be in a a replication session with a different master, etc.  But in the last update status of a replication agreement we see for example: 

"Error (18) Replication error acquiring replica: Incremental update transient error. Backing off, will retry update later. (transient error)"

The "transient error" text can be confusing, as this is not a severe condition.  It should be changed to "transient warning", or something less alarming than "error".

Comment 5 bsmejkal 2019-05-16 07:05:33 UTC
Build tested:
ipa-server-4.6.5-8.el7.x86_64
389-ds-base-1.3.9.1-6.el7.x86_64


# ipa-replica-manage list -v server.example.com
Directory Manager password: 

server2.example.com: replica
  last init status: Error (0) Total update succeeded
  last init ended: 2019-05-14 07:45:05+00:00
  last update status: Error (0) Replica acquired successfully: Incremental update succeeded
  last update ended: 2019-05-14 09:04:13+00:00

server3.example.com: replica
  last init status: Error (18) Total update succeeded
  last init ended: 2019-05-14 07:45:05+00:00
  last update status: Error (18) Replication error acquiring replica: 
Incremental update transient warning.  Backing off, will retry update later. (transient warning)
  last update ended: 2019-05-14 09:04:13+00:00


Marking as VERIFIED, SanityOnly.

Comment 9 errata-xmlrpc 2019-08-06 12:58:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2152


Note You need to log in before you can comment on or make changes to this bug.